import { buildTx } from "../../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgStoreCode, MsgRemoveChecksum, MsgMigrateContract } from "./tx";
export const createStoreCode = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgStoreCode.typeUrl,
    encoders: toEncoders(MsgStoreCode),
    converters: toConverters(MsgStoreCode)
});
export const createRemoveChecksum = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgRemoveChecksum.typeUrl,
    encoders: toEncoders(MsgRemoveChecksum),
    converters: toConverters(MsgRemoveChecksum)
});
export const createMigrateContract = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgMigrateContract.typeUrl,
    encoders: toEncoders(MsgMigrateContract),
    converters: toConverters(MsgMigrateContract)
});
